Users: Segments
GET /apps/{app_id}/users/{id}/segmentsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the pulsate app user |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/users/{id}/segments \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "data": [ { "id": "67e58b8da46a6f651c97a0bd", "name": "New York City Users Segment" }, { "id": "67e58bb7a46a6f651c97a0c6", "name": "Saving Account Balance is less than 150k" } ], "metadata": { "page": 1, "per_page": 1000, "total_pages": 1, "data_count": 2 }}
